eoExternalMonOp(3)

NAME
eoExternalMonOp - Mutation of external struct, ctor expects a function of the following signature:.

SYNOPSIS

#include <eoExternalOpFunctions.h>

Inherits eoMonOp< ExternalEO >.

  Public Member Functions
eoExternalMonOp (bool(*_mutate)(External &))
bool operator() (ExternalEO &eo)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
bool(* mutate )(External &)

Detailed Description

  template<class F, class External, class ExternalEO = eoExternalEO<F, External>> class eoExternalMonOp< F, External, ExternalEO >
Mutation of external struct, ctor expects a function of the following signature:. bool func(External&);

Where External is the user defined struct or class. The function should return true when it changed something, false otherwise

Definition at line 102 of file eoExternalOpFunctions.h.

Author

Generated automatically by Doxygen for EO from the source code.